<?php
!function_exists('readover') && exit('Forbidden');

/****

@name:鮮花道具
@type:帖子類
@effect:增加帖子的推薦數

****/

if($tooldb['type']!=1){
	Showmsg('tooluse_type_error');  // 判斷道具類型是否設置錯誤
}
$db->update("UPDATE pw_threads SET dig=dig+1 WHERE tid=".pwEscape($tid));
$db->update("UPDATE pw_usertool SET nums=nums-1 WHERE uid=".pwEscape($winduid)."AND toolid=".pwEscape($toolid));
$logdata = array(
	'type'		=>	'use',
	'nums'		=>	'',
	'money'		=>	'',
	'descrip'	=>	"tool_{$toolid}_descrip",
	'uid'		=>	$winduid,
	'username'	=>	$windid,
	'ip'		=>	$onlineip,
	'time'		=>	$timestamp,
	'toolname'	=>	$tooldb['name'],
	'from'		=>	'',
);
writetoollog($logdata);
Showmsg('toolmsg_success');
?>